#!/usr/local/bin/perl
# dump wormpep directly from sanger
# or use the real wormpep (better)

use Ace;
use strict;

# connect to database
my $DB = Ace->connect(-host=>'wormsrv1.sanger.ac.uk',
		   -port=>210201) || die "Couldn't open database";

my $db = $DB->db;
$db->query('find Sequence *');
$db->query('peptide');
while ($db->status == STATUS_PENDING) {
  my $h = $db->read;
  $h=~s/\0+\Z//;
  print $h;
}
